package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.GetQcClickDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DataAnalysisFacade;
import com.diagbot.vo.GetQcClickVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * @Description:数据分析
 * @Author: cy
 * @time: 2021/11/16 18:28
 */
@RestController
@RequestMapping("/qc/analysis")
public class DataAnalysisController {

    @Autowired
    DataAnalysisFacade dataAnalysisFacade;

    /**
     * 临床质控使用统计
     *
     * @param getQcClickVO
     * @return
     */
    @ApiOperation(value = "临床质控使用统计[by:cy]")
    @PostMapping("/getQcClick")
    @SysLogger("getQcClick")
    public RespDTO<List<GetQcClickDTO>> getQcClick(@RequestBody @Valid GetQcClickVO getQcClickVO) {
        return RespDTO.onSuc(dataAnalysisFacade.getQcClick(getQcClickVO));
    }
}
